PPSPYAPI Platform
EN / 中文
API REFERENCE

Ad Filter Options List API

GET/open-api/v1/advertisements/options
Free·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/advertisements/options' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}'

Request parameters

Parameter Type Description
This endpoint does not require parameters.

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "button_type": [
            "APPLY_NOW",
            "BOOK_TRAVEL",
            "BUY_TICKETS",
            "CONTACT_US",
            "DONATE_NOW",
            "DOWNLOAD",
            "GET_OFFER",
            "GET_OFFER_VIEW",
            "GET_QUOTE",
            "GET_SHOWTIMES",
            "INSTAGRAM_MESSAGE",
            "INSTALL_MOBILE_APP",
            "LEARN_MORE",
            "NO_BUTTON",
            "ORDER_NOW",
            "PLAY_GAME",
            "REQUEST_TIME",
            "SEE_MENU",
            "SHOP_NOW",
            "SIGN_UP",
            "SUBSCRIBE",
            "WATCH_MORE"
        ],
        "button_text": [
            "Apply now",
            "Book now",
            "Buy tickets",
            "Contact us",
            "Donate now",
            "Download",
            "Get offer",
            "Get quote",
            "Get showtimes",
            "Send message",
            "Install now",
            "Learn more",
            "No button",
            "Order now",
            "Play game",
            "Request time",
            "See menu",
            "Shop now",
            "Sign up",
            "Subscribe",
            "Watch more"
        ]
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Business status code none
» message string true none Response message none
» data object true none Response data none
»» button_type [string] false none Button Type none
»» button_text [string] false none Button Text none
» credits object true none Credits information Credits information for the current API request
»» remaining_credits integer true none Remaining credits Remaining credits after this request
»» consumed_credits integer true none Consumed credits Credits consumed by this request
»» total_credits integer true none Total credits Total credits of the current credits type
Search the existing endpoint names and paths